$alias fdopen='fdopen'(%val,%ref)
      include 'phigs.f1.h'			! get the HP-PHIGS aliases
      program CharSize				! file "CharSize.f"
      include 'phigs.f2.h'			! get the HP-PHIGS constants

      integer*4	WorkstnID			! workstation identifier
      parameter (WorkstnID=1)			! value chosen by the user
      integer*4	ConnID				! connection identifier
      integer*4	WorkstnType			! workstation type
      parameter (WorkstnType=POIDDX)		! out/in, direct, dbl bfr, X
      real	Height, Width			! height/width holders
      real	X				! X position holder
      character*20	String			! string holder
      integer*4	I				! loop control variable
      integer*4 fdopen				! to get file descriptor

      call popph(fdopen(fnum(7), 'w'//char(0)), 0)	! open phigs
      call pue004('/dev/screen/phigs_window', ConnID)	! get connection ID
      call popwk(WorkstnID, ConnID, WorkstnType)! open workstation
      call popst(1)				! open display list structure
      !--- show character height ---------------------------------------+-----
      Height=0.					! initial character height
      String='bigger and bigger'		! initialize string
      X=0.					! X-position holder
      do I=1, 17				! loop for "bigger and bigger"
          Height=Height+.008			! increment height value
          call pschh(Height)			! set character height
          X=X+Height*0.7			! increment X position
          call ptx(X, .7, String(I:I))		! define a character
      end do					! end of loop
      !--- show character width ----------------------------------------+-----
      Width=.05					! initial character height
      String='wider and wider'			! initialize string
      X=0.					! X-position holder
      do I=1, 15				! loop for "wider and wider"
          Width=Width+.06			! increment width value
          call pschxp(Width)			! set character width
          X=X+Width*.1				! increment X position
          call ptx(X, .3, String(I:I))		! print a character
      end do					! end of loop
      call pclst				! close display list structure
      call ppost(WorkstnID, 1, 1.)		! send picture to display
      call puwk(WorkstnID, PPERFO)		! update the workstation
      call pclwk(WorkstnID)			! close workstation
      call pclph				! close phigs
      stop					! stop processing
      end					! end of program
